Skip to main content
GET
/
api
/
epoch
/
latest
Get latest epoch information
curl --request GET \
  --url https://nexus.gerowallet.io/api/epoch/latest \
  --header 'Authorization: Bearer <token>'
{
  "epoch": 500,
  "startTime": 1697500800,
  "endTime": 1697932800,
  "firstBlockTime": 1697500805,
  "lastBlockTime": 1697932795,
  "blockCount": 21600,
  "txCount": 150000,
  "output": "25000000000000",
  "fees": "180000000",
  "activeStake": "24000000000000000"
}

Authorizations

Authorization
string
header
required

JWT Token Authentication

Query Parameters

network
enum<string>
Available options:
CARDANO_MAINNET,
CARDANO_PREPROD,
CARDANO_PREVIEW,
APEX_PRIME_MAINNET,
APEX_VECTOR_MAINNET,
APEX_VECTOR_TESTNET,
MIDNIGHT_MAINNET,
MIDNIGHT_PREPROD,
MIDNIGHT_PREVIEW,
BITCOIN_MAINNET,
BITCOIN_TESTNET4

Response

Successfully retrieved latest epoch information

Epoch information including statistics and metrics

epoch
integer<int32>
required

Epoch number

Example:

500

startTime
integer<int64> | null

Epoch start time (Unix timestamp)

Example:

1697500800

endTime
integer<int64> | null

Epoch end time (Unix timestamp)

Example:

1697932800

firstBlockTime
integer<int64> | null

First block time in epoch (Unix timestamp)

Example:

1697500805

lastBlockTime
integer<int64> | null

Last block time in epoch (Unix timestamp)

Example:

1697932795

blockCount
integer<int32> | null

Number of blocks in epoch

Example:

21600

txCount
integer<int32> | null

Number of transactions in epoch

Example:

150000

output
string | null

Total output amount in lovelaces

Example:

"25000000000000"

fees
string | null

Total fees in lovelaces

Example:

"180000000"

activeStake
string | null

Active stake in lovelaces

Example:

"24000000000000000"